Index: trunk/source/physics_lists/lists/GNUmakefile
===================================================================
--- trunk/source/physics_lists/lists/GNUmakefile	(revision 825)
+++ trunk/source/physics_lists/lists/GNUmakefile	(revision 850)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.1 2006/10/31 11:34:03 gunter Exp $
+# $Id: GNUmakefile,v 1.2 2008/05/30 11:01:37 vnivanch Exp $
 # ---------------------------------------------------------------------------
 # GNUmakefile for physics_lists/lists library.  Gunter Folger 25-Oct-2006.
@@ -40,4 +40,5 @@
             -I$(G4BASE)/processes/transportation/include \
             -I$(G4BASE)/processes/electromagnetic/lowenergy/include \
+            -I$(G4BASE)/processes/electromagnetic/highenergy/include \
             -I$(G4BASE)/processes/electromagnetic/standard/include \
             -I$(G4BASE)/processes/electromagnetic/muons/include \
Index: trunk/source/physics_lists/lists/include/FTFC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFC.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFC.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFC.icc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: FTFC.icc,v 1.5 2007/06/01 15:24:24 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: FTFC.icc,v 1.6 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -41,4 +41,5 @@
 // 15.06.2006 G.Folger: Migrate to HadronElasticPhysics using improved elastic
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 19.06.2008 G.Folger: don't use chips quasielastic for FTF 
 //
 //----------------------------------------------------------------------------
@@ -73,5 +74,5 @@
   // defaultCutValue = 1.0*mm;
   G4DataQuestionaire it(photon);
-  G4cout << "<<< Geant4 Physics List simulation engine: FTFC 3.4"<<G4endl;
+  G4cout << "<<< Geant4 Physics List simulation engine: FTFC 3.5"<<G4endl;
   G4cout << G4endl;
   this->defaultCutValue = 0.7*mm;  
@@ -92,5 +93,5 @@
    // Hadron Physics
    G4bool quasiElastic;
-  this->RegisterPhysics(  new HadronPhysicsFTFC("hadron",quasiElastic=true));
+  this->RegisterPhysics(  new HadronPhysicsFTFC("hadron",quasiElastic=false));
 
   // Stopping Physics
Index: trunk/source/physics_lists/lists/include/FTFP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFP.icc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: FTFP.icc,v 1.5 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: FTFP.icc,v 1.6 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -41,4 +41,5 @@
 // 20.11.2006 G.Folger: add Tracking Cut for neutrons
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 19.06.2008 G.Folger: don't use chips quasielastic in FTF
 //
 //----------------------------------------------------------------------------
@@ -74,5 +75,5 @@
   // defaultCutValue = 1.0*mm;
   G4DataQuestionaire it(photon);
-  G4cout << "<<< Geant4 Physics List simulation engine: FTFP 4.3"<<G4endl;
+  G4cout << "<<< Geant4 Physics List simulation engine: FTFP 4.4"<<G4endl;
   G4cout <<G4endl;
   this->defaultCutValue = 0.7*mm;  
@@ -93,5 +94,5 @@
    // Hadron Physics
    G4bool quasiElastic;
-  this->RegisterPhysics(  new HadronPhysicsFTFP("hadron",quasiElastic=true));
+  this->RegisterPhysics(  new HadronPhysicsFTFP("hadron",quasiElastic=false));
 
   // Stopping Physics
Index: trunk/source/physics_lists/lists/include/FTFP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFP_BERT.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP_BERT.hh,v 1.1 2007/10/19 15:35:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_BERT.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFP_BERT.icc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: FTFP_BERT.icc,v 1.1 2007/10/19 15:35:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: FTFP_BERT.icc,v 1.2 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -34,4 +34,7 @@
 //
 //   created from FTFP
+//
+// 19.06.2008 G.Folger: don't use chips quasielastic in FTF
+//
 //----------------------------------------------------------------------------
 //
@@ -68,5 +71,5 @@
   // defaultCutValue = 1.0*mm;
   G4DataQuestionaire it(photon);
-  G4cout << "<<< Geant4 Physics List simulation engine: FTFP_BERT 0.9"<<G4endl;
+  G4cout << "<<< Geant4 Physics List simulation engine: FTFP_BERT 1.0"<<G4endl;
   G4cout <<G4endl;
   this->defaultCutValue = 0.7*mm;  
@@ -90,5 +93,5 @@
    // Hadron Physics
    G4bool quasiElastic;
-  this->RegisterPhysics(  new HadronPhysicsFTFP_BERT("hadron",quasiElastic=true));
+  this->RegisterPhysics(  new HadronPhysicsFTFP_BERT("hadron",quasiElastic=false));
 
   // Stopping Physics
Index: trunk/source/physics_lists/lists/include/FTFP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_EMV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFP_EMV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: FTFP_EMV.hh,v 1.1 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTFP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTFP_EMV.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTFP_EMV.icc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: FTFP_EMV.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: FTFP_EMV.icc,v 1.3 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -42,4 +42,5 @@
 // 20.11.2006 G.Folger: add Tracking Cut for neutrons
 // 16.05.2007 V.Ivanchenko: rename EM builders
+// 19.06.2008 G.Folger: don't use chips quasielastic in FTF
 //
 //----------------------------------------------------------------------------
@@ -75,5 +76,5 @@
   // defaultCutValue = 1.0*mm;
   G4DataQuestionaire it(photon);
-  G4cout << "<<< Geant4 Physics List simulation engine: FTFP_EMV 1.0"<<G4endl;
+  G4cout << "<<< Geant4 Physics List simulation engine: FTFP_EMV 1.1"<<G4endl;
   G4cout <<G4endl;
   this->defaultCutValue = 0.7*mm;  
@@ -93,5 +94,6 @@
 
    // Hadron Physics
-  this->RegisterPhysics(  new HadronPhysicsFTFP("hadron"));
+   G4bool quasiElastic;
+  this->RegisterPhysics(  new HadronPhysicsFTFP("hadron",quasiElastic=false));
 
   // Stopping Physics
Index: trunk/source/physics_lists/lists/include/FTF_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/FTF_BIC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTF_BIC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: FTF_BIC.hh,v 1.1 2007/11/16 16:52:55 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/FTF_BIC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/FTF_BIC.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/FTF_BIC.icc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: FTF_BIC.icc,v 1.1 2007/11/16 16:52:55 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: FTF_BIC.icc,v 1.2 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -34,4 +34,5 @@
 //
 // Modified:
+// 19.06.2008 G.Folger: don't use chips quasielastic in FTF
 //
 //----------------------------------------------------------------------------
@@ -69,5 +70,5 @@
 
   G4DataQuestionaire it(photon);
-  G4cout << "<<< Geant4 Physics List simulation engine: FTF_BIC 1.0"<<G4endl;
+  G4cout << "<<< Geant4 Physics List simulation engine: FTF_BIC 1.1"<<G4endl;
   G4cout <<G4endl;
 
@@ -92,5 +93,5 @@
    // Hadron Physics
    G4bool quasiElastic;
-  this->RegisterPhysics(  new HadronPhysicsFTF_BIC("hadron",quasiElastic=true));
+  this->RegisterPhysics(  new HadronPhysicsFTF_BIC("hadron",quasiElastic=false));
 
   // Stopping Physics
Index: trunk/source/physics_lists/lists/include/G4HadronInelasticQBBC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/G4HadronInelasticQBBC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/G4HadronInelasticQBBC.hh	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronInelasticQBBC.hh,v 1.4 2007/11/15 12:18:11 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4HadronInelasticQBBC.hh,v 1.5 2008/08/05 10:25:00 vnivanch Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -90,7 +90,4 @@
 private:
 
-  void Register(G4ParticleDefinition*, G4HadronicProcess*, 
-		G4HadronicInteraction*, const G4String&);
-
   G4PiNuclearCrossSection thePiCross;
   G4ProtonInelasticCrossSection  theXSecP;
Index: trunk/source/physics_lists/lists/include/G4HadronInelasticQLHEP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/G4HadronInelasticQLHEP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/G4HadronInelasticQLHEP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: G4HadronInelasticQLHEP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFC.hh	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HadronPhysicsFTFC.hh,v 1.2 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: HadronPhysicsFTFC.hh,v 1.3 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -36,4 +36,5 @@
 // 23.11.2005 G.Folger: migration to non static particles
 // 08.06.2006 V.Ivanchenko: remove stopping
+// 19.06.2008 G.Folger: change default for QE to NOT use Chips QE
 //
 //----------------------------------------------------------------------------
@@ -63,5 +64,5 @@
 {
   public: 
-    HadronPhysicsFTFC(const G4String& name ="hadron",G4bool quasiElastic=true);
+    HadronPhysicsFTFC(const G4String& name ="hadron",G4bool quasiElastic=false);
     virtual ~HadronPhysicsFTFC();
 
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFP.hh	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HadronPhysicsFTFP.hh,v 1.2 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: HadronPhysicsFTFP.hh,v 1.3 2008/06/19 08:08:22 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -36,4 +36,5 @@
 // 23.11.2005 G.Folger: migration to non static particles
 // 08.06.2006 V.Ivanchenko: remove stopping
+// 19.06.2008 G.Folger: change default for QE to NOT use Chips QE
 //
 //----------------------------------------------------------------------------
@@ -63,5 +64,5 @@
 {
   public: 
-    HadronPhysicsFTFP(const G4String& name ="hadron",G4bool quasiElastic=true);
+    HadronPhysicsFTFP(const G4String& name ="hadron",G4bool quasiElastic=false);
     virtual ~HadronPhysicsFTFP();
 
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTFP_BERT.hh	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HadronPhysicsFTFP_BERT.hh,v 1.2 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: HadronPhysicsFTFP_BERT.hh,v 1.3 2008/06/19 08:08:23 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -36,4 +36,5 @@
 // 23.11.2005 G.Folger: migration to non static particles
 // 08.06.2006 V.Ivanchenko: remove stopping
+// 19.06.2008 G.Folger: change default for QE to NOT use Chips QE
 //
 //----------------------------------------------------------------------------
@@ -65,5 +66,5 @@
 {
   public: 
-    HadronPhysicsFTFP_BERT(const G4String& name ="hadron",G4bool quasiElastic=true);
+    HadronPhysicsFTFP_BERT(const G4String& name ="hadron",G4bool quasiElastic=false);
     virtual ~HadronPhysicsFTFP_BERT();
 
Index: trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsFTF_BIC.hh	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HadronPhysicsFTF_BIC.hh,v 1.1.2.1 2008/04/25 15:47:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: HadronPhysicsFTF_BIC.hh,v 1.3 2008/06/19 08:08:23 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -34,4 +34,5 @@
 //
 // Modified:
+// 19.06.2008 G.Folger: change default for QE to NOT use Chips QE
 //
 //----------------------------------------------------------------------------
@@ -64,5 +65,5 @@
 {
   public: 
-    HadronPhysicsFTF_BIC(const G4String& name ="hadron",G4bool quasiElastic=true);
+    HadronPhysicsFTF_BIC(const G4String& name ="hadron",G4bool quasiElastic=false);
     virtual ~HadronPhysicsFTF_BIC();
 
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_BERT_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT_HP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_EMV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_EMV.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsLHEP_PRECO_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_PRECO_HP.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_BERT.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_BERT.hh,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSC_EFLOW.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_EFLOW.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP.hh,v 1.4 2007/11/13 10:16:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT.hh,v 1.3 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_HP.hh,v 1.3 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BERT_TRV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_TRV.hh,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGSP_BIC_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC_HP.hh,v 1.2 2007/04/26 14:47:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/HadronPhysicsQGS_BIC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGS_BIC.hh,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_BERT_HP.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_BERT_HP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_EMV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_EMV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_EMV.hh,v 1.1 2006/10/31 11:35:03 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_EMV.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_EMV.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_EMV.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_PRECO_HP.hh,v 1.1 2006/10/31 11:35:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/LHEP_PRECO_HP.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: LHEP_PRECO_HP.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/MinEkineCuts.hh
===================================================================
--- trunk/source/physics_lists/lists/include/MinEkineCuts.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/MinEkineCuts.hh	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: MinEkineCuts.hh,v 1.1 2006/10/31 11:35:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // 
Index: trunk/source/physics_lists/lists/include/QBBC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QBBC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QBBC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QBBC.hh,v 1.2 2007/04/16 11:57:40 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QBBC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QBBC.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QBBC.icc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: QBBC.icc,v 1.10 2007/11/27 07:15:57 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: QBBC.icc,v 1.12 2008/08/05 10:25:00 vnivanch Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -59,9 +59,9 @@
 #include "G4NeutronTrackingCut.hh"
 
-template<class T> TQBBC<T>::TQBBC( G4int ver, const G4String& type, G4bool gl): T()
+template<class T> TQBBC<T>::TQBBC( G4int ver, const G4String& type, G4bool): T()
 {
   G4DataQuestionaire it(photon, neutron);
   G4cout << "<<< Geant4 Physics List simulation engine: QBBC 3.1  with type <"
-	<< type <<">" <<G4endl;
+	<< type <<">" <<G4endl;	
   G4cout <<G4endl;
   this->defaultCutValue = 0.7*mm;  
@@ -82,5 +82,5 @@
     this->RegisterPhysics( new G4QStoppingPhysics("stopping",ver));
     this->RegisterPhysics( new G4IonBinaryCascadePhysics("ionBIC"));
-    this->RegisterPhysics( new G4HadronInelasticQBBC("inelastic", ver, false,
+    this->RegisterPhysics( new G4HadronInelasticQBBC("inelastic", ver, true,
 		false, false, false, false));
 
Index: trunk/source/physics_lists/lists/include/QGSC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSC.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC.icc,v 1.8 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_BERT.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSC_BERT.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_BERT.icc,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSC_EFLOW.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_EFLOW.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSC_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSC_EMV.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSC_EMV.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSC_EMV.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP.hh	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP.icc,v 1.7 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_DIF.hh,v 1.1 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_DIF.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_DIF.icc,v 1.2 2007/12/10 17:46:31 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMV.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_EMV.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_EMV.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_HP.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_HP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_HP.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_HP.icc,v 1.4 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_NQE.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_NQE.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_NQE.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_TRV.hh,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BERT_TRV.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BERT_TRV.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC_HP.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC_HP.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC_HP.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC_HP.hh,v 1.1 2006/11/24 16:31:35 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_BIC_HP.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_BIC_HP.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_BIC_HP.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_BIC_HP.icc,v 1.5 2007/05/24 11:32:57 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_DIF.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_DIF.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_DIF.hh	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP_DIF.hh,v 1.1 2007/11/13 10:20:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_DIF.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_DIF.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_DIF.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_DIF.icc,v 1.1 2007/11/13 10:20:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV_NQE.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_EMV_NQE.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMV_NQE.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMX.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMX.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_EMX.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMX.hh,v 1.1 2006/10/31 11:35:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_EMX.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_EMX.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_EMX.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_EMX.icc,v 1.5 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_NQE.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_NQE.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_NQE.hh	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP_NQE.hh,v 1.1 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_NQE.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_NQE.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_NQE.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_NQE.icc,v 1.2 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_QEL.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_QEL.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_QEL.hh	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: QGSP_QEL.hh,v 1.1 2006/11/28 15:41:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGSP_QEL.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGSP_QEL.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGSP_QEL.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGSP_QEL.icc,v 1.3 2007/05/16 11:35:36 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGS_BIC.hh
===================================================================
--- trunk/source/physics_lists/lists/include/QGS_BIC.hh	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGS_BIC.hh	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGS_BIC.hh,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/include/QGS_BIC.icc
===================================================================
--- trunk/source/physics_lists/lists/include/QGS_BIC.icc	(revision 825)
+++ trunk/source/physics_lists/lists/include/QGS_BIC.icc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: QGS_BIC.icc,v 1.2 2007/12/10 17:33:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/G4HadronInelasticQBBC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/G4HadronInelasticQBBC.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/G4HadronInelasticQBBC.cc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronInelasticQBBC.cc,v 1.7 2007/11/26 19:31:16 vnivanch Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4HadronInelasticQBBC.cc,v 1.9 2008/08/05 10:25:00 vnivanch Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -71,5 +71,4 @@
 #include "G4NeutronHPCapture.hh"
 
-#include "G4HadronProcessStore.hh"
 #include "G4UInelasticCrossSection.hh"
 
@@ -80,5 +79,5 @@
 {
   if(verbose > -1) G4cout << "### HadronInelasticQBBC" << G4endl;
-  store = G4HadronProcessStore::Instance();
+  //  store = G4HadronProcessStore::Instance();
   theHPXSecI = 0;
   theHPXSecC = 0;
@@ -124,6 +123,6 @@
     G4cout << "### HadronInelasticQBBC Construct Process" << G4endl;
 
-  G4double minEstring  = 6.0*GeV;
-  G4double maxEcascade = 9.0*GeV;
+  G4double minEstring  = 4.0*GeV;
+  G4double maxEcascade = 6.0*GeV;
   //  G4double minFtf      = 7.5*GeV;
 
@@ -144,5 +143,5 @@
 
   //QGS
-  //theCascade = new G4BinaryCascade;
+  theCascade = new G4BinaryCascade;
   theCHIPSCascade = new G4QStringChipsParticleLevelInterface;
   G4TheoFSGenerator* theQGSModel = new G4TheoFSGenerator();
@@ -163,10 +162,10 @@
   theFTFStringDecay = new G4ExcitedStringDecay(new G4LundStringFragmentation());
   theFTFStringModel->SetFragmentationModel(theFTFStringDecay);
-  theFTFModel->SetTransport(theCHIPSCascade);
-  //theFTFModel->SetTransport(theCascade);
+  //theFTFModel->SetTransport(theCHIPSCascade);
+  theFTFModel->SetTransport(theCascade);
   theFTFModel->SetHighEnergyGenerator(theFTFStringModel);
   theFTFModel->SetMinEnergy(minEstring);
   theFTFModel->SetMaxEnergy(100*TeV);
-  theFTFModel->SetQuasiElasticChannel(theQuasiElastic);
+  //theFTFModel->SetQuasiElasticChannel(theQuasiElastic);
 
   theParticleIterator->reset();
@@ -205,9 +204,10 @@
       if(pname == "proton") {
 	hp->AddDataSet(&theXSecP);
-        if(ftfFlag) Register(particle,hp,theFTFModel,"FTF");
-	else        Register(particle,hp,theQGSModel,"QGS");
-
-	if(bertFlag) Register(particle,hp,theBERT,"Bertini");
-	else         Register(particle,hp,theBIC,"Binary");
+
+        if(ftfFlag) hp->RegisterMe(theFTFModel);
+	else        hp->RegisterMe(theQGSModel);
+ 
+	if(bertFlag) hp->RegisterMe(theBERT);
+	else         hp->RegisterMe(theBIC);
       
         if(glFlag)
@@ -216,6 +216,6 @@
       } else if(pname == "neutron") {
 	hp->AddDataSet(&theXSecN);
-        if(ftfFlag) Register(particle,hp,theFTFModel,"FTF");
-	else        Register(particle,hp,theQGSModel,"QGS");
+        if(ftfFlag) hp->RegisterMe(theFTFModel);
+	else        hp->RegisterMe(theQGSModel);
 
 	G4HadronCaptureProcess* theNeutronCapture = 
@@ -235,44 +235,35 @@
 	  theNeutronCapture->AddDataSet(theHPXSecC);
 	  theNeutronFission->AddDataSet(theHPXSecF);
-          G4NeutronHPInelastic* hpi = new G4NeutronHPInelastic();
-          G4NeutronHPCapture* hpc = new G4NeutronHPCapture();
-          G4NeutronHPFission* hpf = new G4NeutronHPFission();
-	  Register(particle,hp,hpi,"HP");
-	  Register(particle,theNeutronCapture,hpc,"HP");
-	  Register(particle,theNeutronFission,hpf,"HP");
+	  hp->RegisterMe(new G4NeutronHPInelastic());
+	  theNeutronCapture->RegisterMe(new G4NeutronHPCapture());
+	  theNeutronFission->RegisterMe(new G4NeutronHPFission());
 	}
 
         G4HadronicInteraction* theB;
-        G4String s;
-	if(bertFlag) {
-	  theB = new G4CascadeInterface();
-          s = "Bertini";
-	} else {
-	  theB = new G4BinaryCascade();
-          s = "Binary";
-	}
+	if(bertFlag) theB = new G4CascadeInterface();
+	else         theB = new G4BinaryCascade();
 	theB->SetMinEnergy(emin);
 	theB->SetMaxEnergy(maxEcascade);
-	Register(particle,hp,theB,s);
+	hp->RegisterMe(theB);
 
         if(glFlag)
 	  hp->AddDataSet(new G4BGGNucleonInelasticXS(particle));
-	
-	G4HadronicInteraction* theC = new G4LCapture();
+
+        G4HadronicInteraction* theC = new G4LCapture();       	
 	theC->SetMinEnergy(emin);
-	Register(particle,theNeutronCapture,theC,"LCapture");
-
-	G4HadronicInteraction* theF = new G4LFission();
+	theNeutronCapture->RegisterMe(theC);
+
+        G4HadronicInteraction* theF = new G4LFission();
 	theF->SetMinEnergy(emin);
-	Register(particle,theNeutronFission,theF,"LFission");
+	theNeutronFission->RegisterMe(theF);
 
       } else if(pname == "pi-" || pname == "pi+") {
 	hp->AddDataSet(&thePiCross);
-        if(ftfFlag) Register(particle,hp,theFTFModel,"FTF");
-	else        Register(particle,hp,theQGSModel,"QGS");
-
-        Register(particle,hp,theBERT,"Bertini");
-        //if(bertFlag) Register(particle,hp,theBERT,"Bertini");
-	//else         Register(particle,hp,theBIC,"Binary");
+        if(ftfFlag) hp->RegisterMe(theFTFModel);
+	else        hp->RegisterMe(theQGSModel);
+
+        hp->RegisterMe(theBERT);
+        //if(bertFlag) hp->RegisterMe(theBERT);
+	//else         hp->RegisterMe(theBIC);
 
 	if(glFlag) 
@@ -283,6 +274,6 @@
 		pname == "kaon0S"    || 
 		pname == "kaon0L") {
-        Register(particle,hp,theFTFModel,"FTF");
-        Register(particle,hp,theBERT,"Bertini");
+        hp->RegisterMe(theFTFModel);
+        hp->RegisterMe(theBERT);
 	//hp->AddDataSet(new G4UInelasticCrossSection(particle));
 
@@ -293,16 +284,16 @@
 		pname == "xi0") {
 
-	Register(particle,hp,theFTFModel,"FTF");
-	Register(particle,hp,theBERT,"Bertini");
+	hp->RegisterMe(theFTFModel);
+	hp->RegisterMe(theBERT);
 	//hp->AddDataSet(new G4UInelasticCrossSection(particle));
 
       } else if(pname == "anti_proton" || pname == "anti_neutron") {
-	Register(particle,hp,theFTFModel,"FTF");
-        Register(particle,hp,theCHIPS,"CHIPS");
+	hp->RegisterMe(theFTFModel);
+        hp->RegisterMe(theCHIPS);
 	//hp->AddDataSet(new G4UInelasticCrossSection(particle));
 
       } else {
-	Register(particle,hp,theFTFModel,"FTF");
-        Register(particle,hp,theCHIPS,"CHIPS");
+	hp->RegisterMe(theFTFModel);
+        hp->RegisterMe(theCHIPS);
 	//hp->AddDataSet(new G4UInelasticCrossSection(particle));
       }
@@ -313,18 +304,3 @@
     }
   }
-  store->Dump(verbose);
 }
-
-void G4HadronInelasticQBBC::Register(G4ParticleDefinition* p, 
-				     G4HadronicProcess* hp, 
-				     G4HadronicInteraction* hi, 
-				     const G4String& m)
-{
-  hp->RegisterMe(hi);
-  store->Register(hp,p,hi,m);
-  if(verbose > 1)
-    G4cout << "### QBBC: Register new model " << m 
-	   << " for " << p->GetParticleName() << " and " << hp->GetProcessName()
-	   << " E(GeV) " << hi->GetMinEnergy()/GeV 
-	   << " - " << hi->GetMaxEnergy()/GeV << G4endl;
-}
Index: trunk/source/physics_lists/lists/src/G4HadronInelasticQLHEP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/G4HadronInelasticQLHEP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/G4HadronInelasticQLHEP.cc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4HadronInelasticQLHEP.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: G4HadronInelasticQLHEP.cc,v 1.2 2008/05/19 10:21:34 vnivanch Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
@@ -114,6 +114,4 @@
 #include "G4HEXiZeroInelastic.hh"
 
-#include "G4HadronProcessStore.hh"
-
 G4HadronInelasticQLHEP::G4HadronInelasticQLHEP(const G4String& name, 
     G4int ver, G4bool qgs, G4bool bert, G4bool bic, G4bool hp)
@@ -122,5 +120,4 @@
 {
   if(verbose > 1) G4cout << "### HadronInelasticQLHEP" << G4endl;
-  store = G4HadronProcessStore::Instance();
   theCascade = 0;
   theQGStringDecay = 0;
@@ -330,5 +327,4 @@
     }
   }
-  store->Dump(verbose);
 }
 
@@ -422,5 +418,4 @@
 {
   hp->RegisterMe(hi);
-  store->Register(hp,p,hi,m);
   if(verbose > 1)
     G4cout << "### QLHEP: Register new model " << m 
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTFC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTFC.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTFC.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFC.cc,v 1.2 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTFP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTFP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTFP.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP.cc,v 1.2 2007/06/01 15:20:06 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTFP_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTFP_BERT.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTFP_BERT.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsFTFP_BERT.cc,v 1.1 2007/10/19 15:35:08 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsFTF_BIC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsFTF_BIC.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsFTF_BIC.cc	(revision 850)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: HadronPhysicsFTF_BIC.cc,v 1.1.2.1 2008/04/25 15:47:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: HadronPhysicsFTF_BIC.cc,v 1.2 2008/04/25 14:53:34 gunter Exp $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT_HP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_BERT_HP.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_BERT_HP.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_EMV.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_EMV.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_EMV.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_EMV.cc,v 1.1 2006/10/31 11:35:10 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_PRECO_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_PRECO_HP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsLHEP_PRECO_HP.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsLHEP_PRECO_HP.cc,v 1.1 2006/10/31 11:35:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSC.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSC.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_BERT.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_BERT.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_BERT.cc,v 1.1 2007/11/15 16:58:16 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_EFLOW.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_EFLOW.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSC_EFLOW.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSC_EFLOW.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP.cc	(revision 850)
@@ -26,5 +26,5 @@
 //
 // $Id: HadronPhysicsQGSP.cc,v 1.4 2007/11/13 10:16:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT.cc,v 1.3 2007/12/10 17:34:44 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_HP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_HP.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_HP.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_TRV.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_TRV.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BERT_TRV.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BERT_TRV.cc,v 1.1 2007/05/07 14:34:29 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC.cc,v 1.2 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC_HP.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC_HP.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGSP_BIC_HP.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGSP_BIC_HP.cc,v 1.3 2007/04/26 14:47:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/HadronPhysicsQGS_BIC.cc
===================================================================
--- trunk/source/physics_lists/lists/src/HadronPhysicsQGS_BIC.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/HadronPhysicsQGS_BIC.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 // $Id: HadronPhysicsQGS_BIC.cc,v 1.1 2007/11/13 10:23:24 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 //---------------------------------------------------------------------------
Index: trunk/source/physics_lists/lists/src/MinEkineCuts.cc
===================================================================
--- trunk/source/physics_lists/lists/src/MinEkineCuts.cc	(revision 825)
+++ trunk/source/physics_lists/lists/src/MinEkineCuts.cc	(revision 850)
@@ -25,5 +25,5 @@
 //
 //
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: HEAD $
 //
 // 
